//=============================================================================
// * Settings
//=============================================================================
Window_OmoMenuActorEquipItem.prototype.isUsingCustomCursorRectSprite = function() { return true; };
Window_OmoMenuActorEquipItem.prototype.standardPadding = function() { return 4;}
Window_OmoMenuActorEquipItem.prototype.windowWidth = function() { return 170 + 277 + 18; }
Window_OmoMenuActorEquipItem.prototype.windowHeight = function() { return 135; }
Window_OmoMenuActorEquipItem.prototype.maxCols = function() { return 1 +2; };
Window_OmoMenuActorEquipItem.prototype.itemHeight = function() { return 32 + 3 - 3; };
Window_OmoMenuActorEquipItem.prototype.itemWidth = function() { return 100  ; }; //this.windowWidth() - 50
Window_OmoMenuActorEquipItem.prototype.customCursorRectXOffset = function() { return 0; }
Window_OmoMenuActorEquipItem.prototype.customCursorRectYOffset = function() { return 5; }
Window_OmoMenuActorEquipItem.prototype.customCursorRectTextXOffset = function() { return 25; }
Window_OmoMenuActorEquipItem.prototype.isEnabled = function() { return true; };
Window_OmoMenuActorEquipItem.prototype.playOkSound = function() { };
Window_OmoMenuActorEquipItem.prototype.contentsWidth = function() { return this.windowWidth() - this.standardPadding() * 2; };
Window_OmoMenuActorEquipItem.prototype.contentsHeight = function() { return this.windowHeight() - this.standardPadding() * 2; };

//=============================================================================
// * Settings
//=============================================================================
Window_OmoMenuActorSkillList.prototype.isUsingCustomCursorRectSprite = function() { return true; };
Window_OmoMenuActorSkillList.prototype.standardPadding = function() { return 4;}
Window_OmoMenuActorSkillList.prototype.windowWidth = function() { return 170 + 277 + 18; }
Window_OmoMenuActorSkillList.prototype.windowHeight = function() { return 135; }
Window_OmoMenuActorSkillList.prototype.maxCols = function() { return 1 +2; };
Window_OmoMenuActorSkillList.prototype.itemHeight = function() { return 32 + 3 - 3; };
Window_OmoMenuActorSkillList.prototype.itemWidth = function() { return 100  ; }; //this.windowWidth() - 50
Window_OmoMenuActorSkillList.prototype.customCursorRectXOffset = function() { return 0; }
Window_OmoMenuActorSkillList.prototype.customCursorRectYOffset = function() { return 5; }
Window_OmoMenuActorSkillList.prototype.customCursorRectTextXOffset = function() { return 25; }
Window_OmoMenuActorSkillList.prototype.isEnabled = function() { return true; };
Window_OmoMenuActorSkillList.prototype.playOkSound = function() { };
Window_OmoMenuActorSkillList.prototype.contentsWidth = function() { return this.windowWidth() - this.standardPadding() * 2; };
Window_OmoMenuActorSkillList.prototype.contentsHeight = function() { return this.windowHeight() - this.standardPadding() * 2; };


//=============================================================================
// * Create Help Window
//=============================================================================
Scene_OmoMenuItem.prototype.createHelpWindow = function() {
  // Super Call
  Scene_OmoMenuBase.prototype.createHelpWindow.call(this);
  // Adjust Help Window
  this._helpWindow.width = 384
  this._helpWindow.height = 90
  this._helpWindow.x = 246;
  this._helpWindow.y = 144;
  this._helpWindow._hideY = 144;
  this._helpWindow._hideHeight = 0;
  this._helpWindow._showY = 188;
  this._helpWindow._showHeight = 80;
  this._helpWindow.createContents();
  this._helpWindow.height = 0;
  this._helpWindow._iconRate = 0.75;
};
//=============================================================================
// * Create Item List Window
//=============================================================================
Scene_OmoMenuItem.prototype.createItemListWindow = function() {
  // Create Item List Window
  this._itemListWindow = new Window_OmoMenuItemList();
  this._itemListWindow.x = 150;
  this._itemListWindow.y = 0;
  this._itemListWindow.height = 0;
  this._itemListWindow.openness = 255;
  this._itemListWindow._hideY = 0;
  this._itemListWindow._hideHeight = 0;
  this._itemListWindow._showY = 64;
  this._itemListWindow._showHeight = this._itemListWindow.windowHeight();
  this._itemListWindow.setHandler('ok', this.onItemListOk.bind(this));
  this._itemListWindow.setHandler('cancel', this.onItemListCancel.bind(this));
  this._itemListWindow.setHelpWindow(this._helpWindow);
  this._itemCategoryWindow._itemWindow = this._itemListWindow;
  this._itemCategoryWindow.callUpdateHelp();
  this.addChild(this._itemListWindow);
};
//=============================================================================
// * Create Item Confirmation Window
//=============================================================================
Scene_OmoMenuItem.prototype.createItemConfirmationWindow = function() {
  // Create Item Confirmation Window
  this._itemComfirmationWindow = new Window_OmoMenuItemConfirmation();
  this._itemComfirmationWindow.x = 10;
  this._itemComfirmationWindow.y = 198 - this._itemComfirmationWindow.height;
  this._itemComfirmationWindow._hideY = 178 -  this._itemComfirmationWindow.height;
  this._itemComfirmationWindow._hideHeight = this._itemComfirmationWindow.height;
  this._itemComfirmationWindow._showY = 188;
  this._itemComfirmationWindow._showHeight = 80
  this._itemComfirmationWindow.openness = 255;
  this._itemComfirmationWindow.visible = false;
  this._itemComfirmationWindow.setHandler('use', this.onItemConfirmationUse.bind(this));
  this._itemComfirmationWindow.setHandler('trash', this.onItemConfirmationTrash.bind(this));
  this._itemComfirmationWindow.setHandler('cancel', this.onItemConfirmationCancel.bind(this));
  this.addChild(this._itemComfirmationWindow);
};
//=============================================================================
// * Create Item Trash Prompt Window
//=============================================================================
Scene_OmoMenuItem.prototype.createItemTrashPromptWindow = function() {
  // Create Item Trash Prompt Window
  this._itemTrashPromptWindow = new Window_OmoMenuItemTrashPromptWindow();
  this._itemTrashPromptWindow.x = this._itemComfirmationWindow.x + this._itemComfirmationWindow.width;
  this._itemTrashPromptWindow.y = 198 - this._itemTrashPromptWindow.height;

  this._itemTrashPromptWindow._hideY = 178 -  this._itemTrashPromptWindow.height;
  this._itemTrashPromptWindow._hideHeight = this._itemTrashPromptWindow.height;
  this._itemTrashPromptWindow._showY = 188;
  this._itemTrashPromptWindow._showHeight = this._itemTrashPromptWindow.height
  this._itemTrashPromptWindow.openness = 255;
  this._itemTrashPromptWindow.visible = false;


  this._itemTrashPromptWindow.setHandler('ok', this.onItemTrashPromptOk.bind(this));
  this._itemTrashPromptWindow.setHandler('cancel', this.onItemTrashPromptCancel.bind(this));
  this.addChild(this._itemTrashPromptWindow);
};

//=============================================================================
// ** Window_OmoMenuItemCategory
//-----------------------------------------------------------------------------
// The window for selecting item categories in the item menu
//=============================================================================
function Window_OmoMenuItemCategory() { this.initialize.apply(this, arguments); }
Window_OmoMenuItemCategory.prototype = Object.create(Window_Command.prototype);
Window_OmoMenuItemCategory.prototype.constructor = Window_OmoMenuItemCategory;
//=============================================================================
// * Settings
//=============================================================================
Window_OmoMenuItemCategory.prototype.isUsingCustomCursorRectSprite = function() { return true; };
Window_OmoMenuItemCategory.prototype.standardPadding = function() { return 10; }
Window_OmoMenuItemCategory.prototype.windowWidth = function() { return 140; }
Window_OmoMenuItemCategory.prototype.maxCols = function() { return 1; };
Window_OmoMenuItemCategory.prototype.lineHeight = function() { return 35; };
Window_OmoMenuItemCategory.prototype.standardFontSize = function() { return LanguageManager.getMessageData("XX_BLUE.Window_OmoMenuItemCategory").standardFontSize; };
Window_Selectable.prototype.customCursorRectYOffset = function() { return 4; }
Window_OmoMenuItemCategory.prototype.customCursorRectTextXOffset = function() { return 25; }
//=============================================================================
// * Make Command List
//=============================================================================
Window_OmoMenuItemCategory.prototype.makeCommandList = function() {
  // Get Commands Text
  var text = LanguageManager.getPluginText('itemMenu', 'categories')
  // Add Commands
  this.addCommand(text[0], 'consumables', $gameParty.hasConsumableItems());
  this.addCommand(text[1], 'toys', $gameParty.hasToyItems());
  this.addCommand(text[2], 'important', $gameParty.hasKeyItems());
};
//=============================================================================
// * Item Rect
//=============================================================================
Window_OmoMenuItemCategory.prototype.itemRect = function(index) {
  // Get rect
  var rect = Window_Command.prototype.itemRect.call(this, index);
  rect.width += 12;
  rect.y -= 3;
  // If Index 1 (For Visual centering)
  if (index === 1) { rect.x += 5 };
  // Return Rect
  return rect;
};
//=============================================================================
// * Call Update Help
//=============================================================================
Window_OmoMenuItemCategory.prototype.callUpdateHelp = function() {
  // Run Original Function
  Window_Command.prototype.callUpdateHelp.call(this);
  if (this.active && this._itemWindow) {
    // Set Item Window Category
    this._itemWindow.setCategory(this.currentSymbol());
  };
};

//=============================================================================
// * Settings
//=============================================================================
Window_OmoMenuItemList.prototype.isUsingCustomCursorRectSprite = function() { return true; };
Window_OmoMenuItemList.prototype.standardPadding = function() { return 4;}
Window_OmoMenuItemList.prototype.windowWidth = function() { return 480; }
Window_OmoMenuItemList.prototype.windowHeight = function() { return 144 - 20; }
Window_OmoMenuItemList.prototype.maxCols = function() { return 2; };
Window_OmoMenuItemList.prototype.itemHeight = function() { return 26; };
Window_OmoMenuItemList.prototype.itemWidth = function() { return 200; };
//Window_OmoMenuItemList.prototype.spacing = function() { return 14; };
Window_OmoMenuItemList.prototype.customCursorRectXOffset = function() { return -2; }
Window_OmoMenuItemList.prototype.isEnabled = function() { return true; };
Window_OmoMenuItemList.prototype.customCursorRectTextXOffset = function() { return 24; }
Window_OmoMenuItemList.prototype.contentsWidth = function() { return this.windowWidth() - this.standardPadding() * 2; };
Window_OmoMenuItemList.prototype.contentsHeight = function() { return this.windowHeight() - this.standardPadding() * 2; };

//=============================================================================
// * Settings
//=============================================================================
Window_OmoMenuItemTrashPromptWindow.prototype.isUsingCustomCursorRectSprite = function() { return true; };
Window_OmoMenuItemTrashPromptWindow.prototype.windowHeight   = function() { return 80; };
Window_OmoMenuItemTrashPromptWindow.prototype.windowWidth    = function() { return 122; };
Window_OmoMenuItemTrashPromptWindow.prototype.maxCols = function() { return 2; };
Window_OmoMenuItemTrashPromptWindow.prototype.spacing = function() { return 0; };
Window_OmoMenuItemTrashPromptWindow.prototype.standardPadding = function() { return 0; };
Window_OmoMenuItemTrashPromptWindow.prototype.itemHeight = function() { return 20; };
Window_OmoMenuItemTrashPromptWindow.prototype.itemWidth = function() { return 50; };
Window_OmoMenuItemTrashPromptWindow.prototype.standardFontSize = function() { return 20; };
